Subject: Re: [PATCH v2] Net-next: ipv4: typo issue, remove erroneous semicolon

From: Chen Gang <[email-masked]>
Date: Tue, 23 Apr 2013 14:35:07 +0800

On 2013年04月23日 13:16, David Miller wrote:
> From: Chen Gang <[email-masked]>
> Date: Tue, 23 Apr 2013 10:45:23 +0800
> 
>> > need remove erroneous semicolon, which is found by EXTRA_CFLAGS=-W.
>> > the related commit number: c54419321455631079c7d6e60bc732dd0c5914c5
>> > (by Pravin B Shelar <[email-masked]>  Mon Mar 25 14:49:35 2013)
>> > 
>> > Signed-off-by: Chen Gang <[email-masked]>
> Do not put the destination GIT tree outside of the "[]" brackets.  Put
> it inside the "[]" brackets, so it doesn't show up in the final commit
> message.
> 
  ok, thanks.

> Also, do not capitalize it, just "net-next" is fine.
> 
  ok, thanks.

> Putting "(by Pravin B Shelar <[email-masked]>  Mon Mar 25 14:49:35 2013)"
> is not what we asked for, we asked for the commit message header line
> which for this commit would be ("GRE: Refactor GRE tunneling code.")
> 
  ok, thanks.

> I want to know by what example you are doing these things?  Follow
> the model of other successful patch submitters, such as Eric Dumazet,
> Ben Hutchings, Thomas Graf, Simon Horman, etc. just to name a few.
> 
> Do exactly what they do, because I never have to tell those people how
> to properly format their commit messages, header lines, and the patch
> itself.
> 
  ok, thanks.

> In your commit message body, properly capitalize your sentences.
> 
  ok, thanks.

> This feedback applies to all of the patches you have submitted.  I'm
> sorry I have to pick you apart so much, but if you're going to
> contribute regularly you have to get this right, I can't be constantly
> fixing up by hand every patch you submit.
> 
> 
  ok, thanks.

  need I send patch v3 ?

-- 
Chen Gang

Asianux Corporation